Name:		sar2
Version:	2.3.3
Release:	8%{?dist}
Summary:	An open source helicopter simulator
# Code is GPLv2+
# Content is either GPLv2+ or Public Domain
License:	GPLv2+
URL:		https://github.com/SearchAndRescue2/sar2
Source0:	https://github.com/SearchAndRescue2/sar2/archive/v%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  gcc
BuildRequires:	scons, desktop-file-utils
BuildRequires:	libX11-devel, libSM-devel, libXi-devel, libXmu-devel
BuildRequires:	SDL-devel, SDL_image-devel, openal-soft-devel, freealut-devel
BuildRequires:	mesa-libGLU-devel, mesa-libGL-devel, libICE-devel
BuildRequires:	libXpm-devel, libvorbis-devel, libXext-devel

%description
Search and Rescue II is a rescue helicopter simulator for Linux. It features 
several missions in which the player pilots a helicopter in order to rescue 
people in distress. There are several scenarios and helicopter models.

Search and Rescue II has a strong focus on realistic physics and low graphics 
requirements. It is a fork of the game "Search and Rescue" 
(http://searchandrescue.sf.net), originally developed by Wolfpack 
Entertainment.

%prep
%setup -q

%build
scons --optflags="%{optflags} -DHAVE_LIBXPM"

%install
# install.sh is pretty dumb.
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_mandir}/man6
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/
mkdir -p %{buildroot}%{_datadir}/pixmaps/

cp -ar data/* %{buildroot}%{_datadir}/%{name}/
cp -a man/* %{buildroot}%{_mandir}/man6
cp -a bin/%{name} %{buildroot}%{_bindir}
cp -a extra/%{name}.xpm %{buildroot}%{_datadir}/icons/hicolor/48x48/
cp -a src/icons/SearchAndRescue.xpm %{buildroot}%{_datadir}/pixmaps/
desktop-file-install --dir=%{buildroot}%{_datadir}/applications extra/%{name}.desktop

%files
%doc AUTHORS CHANGELOG HACKING LICENSE README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/%{name}.xpm
%{_datadir}/pixmaps/SearchAndRescue.xpm 
%{_mandir}/man6/*

%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.3.3-4
- Remove obsolete scriptlets

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jul 19 2017 Tom Callaway <spot@fedoraproject.org> - 2.3.3-1
- update to 2.3.3

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 30 2017 Tom Callaway <spot@fedoraproject.org> - 2.3.2-1
- update to 2.3.2

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 2.3.0-9
- Rebuilt for GCC 5 C++11 ABI change

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Aug  8 2011 Tom Callaway <spot@fedoraproject.org> - 2.3.0-2
- update icon cache

* Tue Jun 14 2011 Tom Callaway <spot@fedoraproject.org> - 2.3.0-1
- initial package
